=== lisp-kernel/vxworks/Makefile ===
#
#   Copyright (C) 1994-2001 Digitool, Inc
#   This file is part of Opensourced MCL.
#
#   Opensourced MCL is free software; you can redistribute it and/or
#   modify it under the terms of the GNU Lesser General Public
#   License as published by the Free Software Foundation; either
#   version 2.1 of the License, or (at your option) any later version.
#
#   Opensourced MCL is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   Lesser General Public License for more details.
#
#   You should have received a copy of the GNU Lesser General Public
#   License along with this library; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
VXINCLUDE = $(WIND_BASE)/target/h
VPATH = ../
RM = /bin/rm
AS = /home/byers/bin/gas
CC = ccppc
LD = ldppc
UNREL = /home/byers/bin/unppcrel24
CCLDIR = ../../

ASFLAGS = -gstabs -mregnames 
CDEFINES = -DVXWORKS -DCPU=PPC603
CDEBUG = -gdwarf
#CDEBUG = -g
COPT =
CINCLUDES = -U_BIG_ENDIAN -nostdinc -I$(VXINCLUDE)

kernel_current_version = 	"0x04008000"
kernel_implementation_version =	"0x04008000"

.s.o:
	m4 -I../ -D VXWORKS $< | $(AS) $(ASFLAGS) -o $@
.c.o:
	$(CC) -c $< $(CINCLUDES) $(CDEFINES) $(CDEBUG) $(COPT) -o $@


SPOBJ = spjump.o subprims.o  sp_call.o sp_lambda.o sp_bind.o \
	sp_catch.o sp_ffi.o sp_heap_cons.o  sp_stack_cons.o sp_values.o \
	sp_vref.o sp_builtin.o sp_end.o

COBJ  = pmcl-kernel.o gc.o bits.o kernel-init.o lisp-exceptions.o mathtrap.o \
	loader.o pef.o thread_manager.o lisp-debug.o puppet.o amalloc.o \
	lisp-server.o sockets.o

DEBUGOBJ = lispdcmd.o plprint.o plsym.o plbt.o ppc_print.o
KERNELOBJ= imports.o $(COBJ) asmutils.o qtppc.o

SPINC =	lisp.s m4macros.m4 constants.s macros.s errors.s uuo.s

CHEADERS = area.h bits.h constants.h lisp-errors.h gc.h lisp.h \
	lisp-exceptions.h lisp_globals.h macros.h memprotect.h loader.h


#KSPOBJ = $(SPOBJ)
KSPOBJ =


all:	$(CCLDIR)vxppccl.o $(CCLDIR)lisp_subprims.o $(CCLDIR)vxlow.o


$(CCLDIR)vxppccl.o:	$(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ)
	$(LD) -r   -o $@ $(KSPOBJ) $(KERNELOBJ) $(DEBUGOBJ)
	$(UNREL) $@

$(CCLDIR)lisp_subprims.o: $(SPOBJ)
	$(LD) -r   -o $@ $(SPOBJ)
	$(UNREL) $@


$(SPOBJ): $(SPINC)
$(COBJ): $(CHEADERS)
$(DEBUGOBJ): $(CHEADERS) lispdcmd.h

$(CCLDIR)vxlow.o: vxlow.c $(CHEADERS)
	$(CC) -c $< $(CINCLUDES) $(CDEFINES) $(CDEBUG) $(COPT) -o $@
	$(UNREL) $@

pef.o:	pef.c pef.h $(CHEADERS)
	$(CC) -c $(CDEBUG) $(COPT) $(CDEFINES) $(CINCLUDES) \
	-DKERNEL_CURRENT_VERSION=$(kernel_current_version) \
	-DKERNEL_IMPLEMENTATION_VERSION=$(kernel_implementation_version) \
	-DKERNEL_CFRG_NAME="\"pmcl-kernel4.1\""	\
	../pef.c -o $@

thread_manager.o: ../thread_manager.c ../qt.h

imports.o: ../imports.S
	$(CC) -DVXWORKS -c -o $@ ../imports.S

$(CCLDIR)server_test.o: lisp-serverX.o sockets.o
	$(LD) -r -o $@ lisp-serverX.o sockets.o
	$(UNREL) $@

lisp-serverX.o: lisp-server.c
	$(CC) -c $< $(CINCLUDES) $(CDEFINES) $(CDEBUG) $(COPT) -DTESTING -o $@

cclean:
	$(RM) -f $(COBJ) vxlow.o

clean:	cclean
	$(RM) -f $(SPOBJ) $(KERNELOBJ) $(DEBUGOBJ) lisp_subprims.o vxppccl.o

test.s:	test.c
	$(CC) -S $< $(CINCLUDES) $(CDEFINES) $(CDEBUG) $(COPT) -mlongcall -o $@
