## openmcl 0.13.6

=== fink/Makefile ===
OPENMCL=/usr/local/src/ccl/dppccl

all:
	make -C lisp-kernel/darwin
	CCL_DEFAULT_DIRECTORY=$(PWD) $(OPENMCL) --image-name /usr/local/src/ccl/dppccl.image --batch --no-init < fink/make-bootstrap.lisp
	CCL_DEFAULT_DIRECTORY=$(PWD) $(OPENMCL) --image-name /usr/local/src/ccl/dppccl.image --batch --no-init < fink/compile.lisp
	CCL_DEFAULT_DIRECTORY=$(PWD) ./dppccl --image-name ./ppc-boot.image --batch --no-init < fink/run-bootstrap.lisp


clean:
	-find . -name '*.pfsl' -o -name '*~' | xargs rm 
	-rm ppc-boot.image dppccl.image
	make -C lisp-kernel/darwin clean

install:
	mkdir -p $(DESTDIR)/lib/openmcl/library $(DESTDIR)/man/man1
	mkdir $(DESTDIR)/lib/openmcl/lib $(DESTDIR)/bin
	mkdir $(DESTDIR)/lib/openmcl/bindarwin/
	mkdir $(DESTDIR)/lib/openmcl/headers
	install -m 755 fink/openmcl.script $(DESTDIR)/bin/openmcl
	install -m 755 dppccl $(DESTDIR)/lib/openmcl/
	install -m 644 dppccl.image $(DESTDIR)/lib/openmcl/
	install -m 644 lib/*.lisp $(DESTDIR)/lib/openmcl/lib/
	cp -RP headers darwin-headers $(DESTDIR)/lib/openmcl/.
	install -m 644 debian/openmcl.1 $(DESTDIR)/man/man1
	install -m 644 library/*.lisp $(DESTDIR)/lib/openmcl/library/
	install -m 644 bindarwin/eval.dfsl bindarwin/step.dfsl $(DESTDIR)/lib/openmcl/bindarwin/
	install -m 644 library/loop.dfsl $(DESTDIR)/lib/openmcl/library/
