=== debian/changelog ===
openmcl (0.13.6) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 24 Jun 2003 02:29:38 -0600

openmcl (0.13.5) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 16 Apr 2003 11:20:35 -0600

openmcl (0.13.4) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  2 Feb 2003 22:03:36 -0700

openmcl (0.13.3+cvs+2003.01.31) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 31 Jan 2003 21:46:38 -0700

openmcl (0.13.2+cvs.2002.11.13) unstable; urgency=low

  * Upstream changes
  * Now with LLGPL license
  * Build with gcc-3.2

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 13 Jan 2003 21:47:03 -0700

openmcl (0.13.2) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 14 Dec 2002 22:57:48 -0700

openmcl (0.13.1+cvs.2002.11.25) unstable; urgency=low

  * New upstream version
  * Now build with openmcl-build-tools pkg

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 25 Nov 2002 03:37:59 -0700

openmcl (0.13.1) unstable; urgency=low

  * New upstream release

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  3 Nov 2002 20:57:20 -0700

openmcl (0.13+cvs.2002.10.20) unstable; urgency=low

  * Remove loading of ~/.openmcl-init.lisp since openmcl already checks for
  ~/openmcl-init.lisp.
  * Add --no-init to invocation of opemcl during build process.

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 20 Oct 2002 14:51:01 -0600

openmcl (0.13+cvs.2002.10.18-1) unstable; urgency=low

  * CVS snapshot
  * Add loading of ~/.openmcl-init.lisp if file exists

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 18 Oct 2002 12:04:45 -0600

openmcl (0.13+cvs.2002.09.27-2) unstable; urgency=low

  * Add .pfsl files for loop, eval, and step
  * Update the ccl:*openmcl-version* variable witht he current Debian
    version number.

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 29 Sep 2002 10:44:39 -0600

openmcl (0.13+cvs.2002.09.27-1) unstable; urgency=low

  * New upstream CVS change to add exit status to quit
  * Wrote and added manpage
  * Add headers directory to /usr/lib/openmcl (need to support UFFI)

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 27 Sep 2002 14:42:13 -0600

openmcl (0.13+cvs.2002.09.26-1) unstable; urgency=low

  * New Maintainer
  * Latest upstream CVS
  * Adds Common Lisp Controller support	
  * Provides lisp-compiler (closes: 161863)
  * Saves doc strings (closes: 126720)
  * Install upstream HTML documentation
  	
 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 26 Sep 2002 12:24:20 -0600

openmcl (0.13-1) unstable; urgency=low

  * New upstream

 -- Jonathan Hseu <vomjom@debian.org>  Thu, 22 Aug 2002 21:47:43 -0400

openmcl (0.12.1-1) unstable; urgency=low

  * New upstream

 -- Jonathan Hseu <vomjom@debian.org>  Sun, 23 Jun 2002 20:56:51 -0400

openmcl (0.12-1) unstable; urgency=low

  * New upstream

 -- Jonathan Hseu <vomjom@debian.org>  Tue, 18 Jun 2002 22:40:35 -0400

openmcl (0.11-1) unstable; urgency=low

  * New upstream

 -- Jonathan Hseu <vomjom@debian.org>  Fri, 10 May 2002 06:00:59 -0400

openmcl (0.10.1-2) unstable; urgency=low

  * Messed up the upload for revision 1.  It didn't include an orig.tar.gz.

 -- Jonathan Hseu <vomjom@debian.org>  Fri, 22 Feb 2002 04:20:46 -0500

openmcl (0.10.1-1) unstable; urgency=low

  * Upload new version to Debian (closes: Bug#134587)
  * Improved description (closes: Bug#127758)
  * Make scripts ash compatible

 -- Jonathan Hseu <vomjom@debian.org>  Mon, 18 Feb 2002 23:27:30 -0600

openmcl (0.10.1-0csr2) unstable; urgency=low

  * Added README.Bootstrap to explain building procedure

 -- Christophe Rhodes <csr21@cam.ac.uk>  Mon, 18 Feb 2002 14:36:52 +0000

openmcl (0.10.1-0csr1) unstable; urgency=low

  * New upstream
  * Improved description (Closes: #127758)

 -- Christophe Rhodes <csr21@cam.ac.uk>  Mon, 18 Feb 2002 13:32:24 +0000

openmcl (0.9-2) unstable; urgency=low

  * New maintainer
  * Initial upload (closes: Bug#109610)

 -- Jonathan Hseu <vomjom@debian.org>  Wed, 12 Dec 2001 10:04:05 -0500

openmcl (0.9-1) unstable; urgency=low

  * New upstream. Many packaging bugs probably reintroduced.

 -- Christophe Rhodes <csr21@cam.ac.uk>  Wed, 12 Dec 2001 10:59:01 +0000

openmcl (0.5-4) unstable; urgency=low

  * Used dh_undocumented to pacify lintian for now.

 -- Christophe Rhodes <csr21@cam.ac.uk>  Tue, 21 Aug 2001 14:51:07 +0100

openmcl (0.5-3) unstable; urgency=low

  * Incorporated fix from 0.5.1 in lisp-kernel/sp_ffi.s.
  * Fixed install-defsystem target, which I hope will reduce the startup
          time. There's still a call to init-clc in the init file; we shall see
          how long that takes.

 -- Christophe Rhodes <csr21@cam.ac.uk>  Wed, 25 Jul 2001 14:51:07 +0100

openmcl (0.5-2) unstable; urgency=low

  * Save local symbols, as a way of helping ilisp support.
  * Also set the flag *fasl-save-local-symbols* to T in the saved image.
  * Delete the :make package in the final image.

 -- Christophe Rhodes <csr21@cam.ac.uk>  Mon, 23 Jul 2001 10:27:59 +0100

openmcl (0.5-1) unstable; urgency=low

  * initial package.

 -- Christophe Rhodes <csr21@cam.ac.uk>  Thu, 19 Jul 2001 13:51:27 +0100
