=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

CURRDIR	:= $(shell pwd)

pkg		:= openmcl
openmcl-exe 	:= usr/bin/$(pkg)
mcl-dir 	:= usr/lib/$(pkg)
clc-bin-dir  	:= usr/lib/common-lisp/bin
doc-dir		:= usr/share/doc/$(pkg)/html

deb_ver	:= $(shell sed -n -e "s/${pkg} (\(.*\)).*/\1/p" < debian/changelog |head -1)

 
configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.


	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	sed -e "s@%ver%@$(deb_ver)@" < debian/run-bootstrap.lisp.template > debian/run-bootstrap.lisp
	cp debian/Makefile .
	cp -a /$(mcl-dir)/PPCCL-orig /$(mcl-dir)/headers $(CURRDIR)
	OPENMCL=/$(openmcl-exe) $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Add here commands to install the package into debian/openmcl.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(pkg)
	dh_install debian/install-clc.lisp $(mcl-dir)
	chmod +x debian/openmcl.sh
	dh_install debian/openmcl.sh $(clc-bin-dir)
	dh_installdirs $(doc-dir)
	dh_install doc/HTML/* $(doc-dir)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman debian/openmcl.1
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
