## openmcl 0.14.2.p1

=== debian/changelog ===
openmcl (0.14.2.p1) unstable; urgency=low

  * New upstream release

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  2 Aug 2004 21:59:41 -0600

openmcl (0.13.6-2) unstable; urgency=low

  * Convert to common-lisp-controller v4

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  2 Aug 2004 15:13:31 -0600
