=== debian/control ===
Source: openmcl
Section: devel
Priority: optional
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends: debhelper (>= 4.0.0), openmcl-build-tools
Standards-Version: 3.6.1.1

Package: openmcl
Architecture: powerpc
Provides: lisp-compiler
Depends: ${shlibs:Depends}, common-lisp-controller (>= 4.2)
Suggests: doc-base
Description: Native code ANSI Common Lisp compiler and runtime environment
 OpenMCL is an implementation of the ANSI Common Lisp language,
 providing native-code compilation and the associated runtime
 environment.
