=== debian/Makefile ===
all:
	make -C lisp-kernel/linux
	CCL_DEFAULT_DIRECTORY=$(PWD) ./ppccl --image-name /usr/lib/openmcl/PPCCL-orig --batch --no-init < debian/make-bootstrap.lisp	
	CCL_DEFAULT_DIRECTORY=$(PWD) ./ppccl --image-name /usr/lib/openmcl/PPCCL-orig --batch --no-init < debian/compile.lisp
	CCL_DEFAULT_DIRECTORY=$(PWD) ./ppccl --image-name ./ppc-boot --batch --no-init < debian/run-bootstrap.lisp


clean:
	-find . -name '*.pfsl' -o -name '*~' | xargs rm 
	-rm ppc-boot PPCCL
	make -C lisp-kernel/linux clean

install:
	install -m 755 debian/openmcl.script $(DESTDIR)/usr/bin/openmcl
	install -m 755 ppccl $(DESTDIR)/usr/lib/openmcl/
	install -m 644 PPCCL $(DESTDIR)/usr/lib/openmcl/
	install -m 644 debian/openmclrc.lisp $(DESTDIR)/etc/
	install -m 755 debian/openmcl.sh $(DESTDIR)/usr/lib/common-lisp/bin/
	install -m 644 lib/*.lisp $(DESTDIR)/usr/lib/openmcl/lib/
	install -m 644 library/*.lisp $(DESTDIR)/usr/lib/openmcl/library/
