=== debian/changelog ===
openmcl (0.14.2.p1.o) unstable; urgency=low

  * Orphan as in bug #297473

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  5 Mar 2005 02:22:48 -0700
