=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: openmcl
 Section: devel
 Priority: optional
-Maintainer: Kevin M. Rosenberg <kmr@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 4.0.0), openmcl-build-tools
 Standards-Version: 3.6.1.1
